%define anolis_release 17
Name:           lorax-templates-anolis
Version:        8.3
Release:        4.%{anolis_release}%{?dist}
Summary:        Anolis OS build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch
Source0:        lorax-templates-anolis-8.3-4.tar.gz

Patch1000: 1000-lorax-templates-anolis-add-loongarch64-support.patch
Patch1001: 1001-install-kernel-with-version-suffixed.patch
Patch1002: 1002-correct-images_xen-tree-info.patch
Patch1003: 1003-tmpl-update-kernels-for-aarch64-efi.patch
Patch1004: 1004-shift-default-boot-number.patch
Patch1005: 0001-add-BOOTLOONGARCH64.EFI-to-support-new-firmware.patch
Patch1006: 0001-loongarch-install-different-kernel-for-loongarch.patch
Patch1007: 1005-Add-5.10-kmod-pack.patch 
Patch1008: 0001-add-boot-iso-for-loongarch64.patch
Patch1009: 0001-delete-args-T-for-loongarch64.patch
Patch1010: 0001-Add-args-full-iso9660-filenames-for-loongarch64.patch

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/80-anolis

%description
Anolis OS specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup
%patch1000 -p1
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1
%patch1004 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1
%patch1008 -p1
%patch1009 -p1
%patch1010 -p1

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-anolis/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Wed Jun 21 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 8.3-4.17
- Add args -full-iso9660-filenames for loongarch64
- delete 0001-add-ls2k500sfb.ko-for-loongarch64.patch

* Fri Jun 16 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 8.3-4.16
- add ls2k500sfb.ko for loongarch64

* Mon Jan 30 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 8.3-4.15
- delete args -T for loongarch64
- fix the error boot.iso can not be start for loongarch

* Mon Jan 30 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 8.3-4.14
- add boot iso for loongarch64

* Mon Jan 09 2023 Chang Gao <gc-taifu@linux.alibaba.com> - 8.3-4.13
- Do not install kmod-ast on loongarch platform

* Tue Dec 06 2022 Chang Gao <gc-taifu@linux.alibaba.com> - 8.3-4.12
- Merge a8 branch and a8-poc branch

* Tue Dec 06 2022 Chang Gao <gc-taifu@linux.alibaba.com> - 8.3-4.11
- Modify 4.19 kernel to 5.10 and kmod-ast pack

* Wed Nov 16 2022 Liwei Ge <geliwei@openanolis.org> - 8.3-4.10
- install different kernel for loongarch64

* Wed Aug 03 2022 Wenlong Zhang <zhangwenlong@loongson.cn> - 8.3-4.9
- add BOOTLOONGARCH64.EFI to support new firmware

* Fri Feb 25 2022 Liwei Ge <geliwei@openanolis.org> - 8.3-4.8
- Shift default boot number

* Thu Feb 24 2022 Liwei Ge <geliwei@openanolis.org> - 8.3-4.7
- Pass kernels for aarch64 efi

* Thu Feb 24 2022 Liwei Ge <geliwei@openanolis.org> - 8.3-4.6
- Correct images-xen tree info

* Thu Feb 24 2022 Liwei Ge <geliwei@openanolis.org> - 8.3-4.5
- Fix efi templates

* Mon Feb 21 2022 Liwei Ge <geliwei@openanolis.org> - 8.3-4.4
- Install multi kernel boot entry

* Wed Dec  1 2021 Liwei Ge <geliwei@openanolis.org> - 8.3-4.3
- Remove grub2-tools-efi from loongarch64

* Fri Sep 24 2021 Liwei Ge <geliwei@openanolis.org> - 8.3-4.2
- Add loongarch64 support

* Fri Dec 25 2020 Jacob Wang <jacob.wang@openanolis.org> - 8.3-4.1 
- Initial version for Anolis OS 
